Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.model.message.gena
Class OutgoingSubscribeRequestMessage

    java.lang.Object
      org.teleal.cling.model.message.UpnpMessage<UpnpRequest>
          org.teleal.cling.model.message.StreamRequestMessage
              org.teleal.cling.model.message.gena.OutgoingSubscribeRequestMessage

    public class OutgoingSubscribeRequestMessage

extends StreamRequestMessage

Nested Class Summary

Nested classes/interfaces inherited from class org.teleal.cling.model.message.UpnpMessage
`UpnpMessage.BodyType`

Constructor Summary
`OutgoingSubscribeRequestMessage(RemoteGENASubscription subscription, Namespace namespace)`

Method Summary
`String` | `toString()`

Methods inherited from class org.teleal.cling.model.message.StreamRequestMessage
`getUri`

Methods inherited from class org.teleal.cling.model.message.UpnpMessage
`getBody, getBodyBytes, getBodyString, getBodyType, getContentTypeCharset, getContentTypeHeader, getHeaders, getOperation, getUdaMajorVersion, getUdaMinorVersion, hasBody, hasHostHeader, isTextContentType, isUDATextContentType, setBody, setBodyCharacters, setBodyType, setHeaders, setOperation, setUdaMajorVersion, setUdaMinorVersion`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OutgoingSubscribeRequestMessage

    public OutgoingSubscribeRequestMessage(RemoteGENASubscription subscription,
                                           Namespace namespace)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `UpnpMessage<UpnpRequest>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.